/*
 * MATLAB Compiler: 3.0
 * Date: Mon Sep 20 09:40:07 2004
 * Arguments: "-B" "macro_default" "-O" "all" "-O" "fold_scalar_mxarrays:on"
 * "-O" "fold_non_scalar_mxarrays:on" "-O" "optimize_integer_for_loops:on" "-O"
 * "array_indexing:on" "-O" "optimize_conditionals:on" "-B" "sgl" "-m" "-W"
 * "main" "-L" "C" "-t" "-T" "link:exe" "-h" "libmmfile.mlib" "-W" "mainhg"
 * "libmwsglm.mlib" "recarga_multiple" 
 */

#ifndef MLF_V2
#define MLF_V2 1
#endif

#ifndef __textread_h
#define __textread_h 1

#ifdef __cplusplus
extern "C" {
#endif

#include "libmatlb.h"

extern void InitializeModule_textread(void);
extern void TerminateModule_textread(void);
extern _mexLocalFunctionTable _local_function_table_textread;

extern mxArray * mlfNTextread(int nargout, mlfVarargoutList * varargout, ...);
extern mxArray * mlfTextread(mlfVarargoutList * varargout, ...);
extern void mlfVTextread(mxArray * synthetic_varargin_argument, ...);
extern void mlxTextread(int nlhs, mxArray * plhs[], int nrhs, mxArray * prhs[]);

#ifdef __cplusplus
}
#endif

#endif
